DB Manager: import layer into Postgis fails with "Error 5 Creation of fields failed."

2018-03-06 05:18 PM - Rui Pedro Henriques

Status: Open

Priority: Normal

Assignee:

Category: DB Manager

Affected QGIS version:3.4.4 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 26246

Description

When trying to import a layer to Postgis I get "Error 5 Creation of fields failed." 

The table and fields id and geom are created on the DB.

It was tested on QGIS 2.18.15/win 10 and QGIS 2.18.0 on MacOS.

History

#1 - 2018-03-06 05:28 PM - Giovanni Manghi

- Operating System deleted (QGIS 2.18.15/win 10 and QGIS 2.18.0 on MacOS)

- Subject changed from DB Manager - import layer into Postgis to DB Manager: import layer into Postgis fails with "Error 5 Creation of fields failed."

- Affected QGIS version changed from 2.18.15 to 2.18.16

Confirmed also on Linux. (Ricardo?) can you test also QGIS 3? Thanks.

#2 - 2019-01-21 12:34 AM - Jürgen Fischer

- Status changed from Open to Feedback

Please test with QGIS 3.4 - QGIS 2.18 reached it's end of life.

#3 - 2019-02-23 01:06 PM - matteo ghetta

Confirmed also on 3.4 but only with the attached data and not with other data. So I suspect something is weird on data side.

#4 - 2019-02-23 01:28 PM - Giovanni Manghi

- Status changed from Feedback to Open

- Affected QGIS version changed from 2.18.16 to 3.4.4

matteo ghetta wrote:

Confirmed also on 3.4 but only with the attached data and not with other data. So I suspect something is weird on data side.

please bump affected version if necessary.
#5 - 2019-02-23 03:26 PM - Federico Gianoli

- File bug.JPG added

The error, with this dataset, persist on QGIS 3.4.4

Error 4

Creation of fields failed

Files

Screen Shot 2018-03-06 at 15.59.57.png 96.4 KB 2018-03-06 Rui Pedro Henriques

pt_conc_grid25_4326_clip.gpkg 1.82 MB 2018-03-06 Rui Pedro Henriques

bug.JPG 94.8 KB 2019-02-23 Federico Gianoli

2025-04-26 2/2


